# ApiRestartClusterArgs Data Model

Arguments used for Cluster Restart command. Since V11: If both restartOnlyStaleServices and restartServiceNames are specified, a service must be specified in restartServiceNames and also be stale, in order to be restarted.

Properties
name | data type | description
--- | --- | ---
restartOnlyStaleServices | boolean | Only restart services that have stale configuration and their dependent services.
redeployClientConfiguration | boolean | Re-deploy client configuration for all services in the cluster.
restartServiceNames | array of string | Only restart services that are specified and their dependent services. Available since V11.

Example

    {
      "restartOnlyStaleServices" : true,
      "redeployClientConfiguration" : true,
      "restartServiceNames" : [ "...", "..." ]
    }